<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>Drawing canvas</title>
<!-- Bootstrap CSS -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel = "stylesheet" href = "https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src = "https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js">
</script>
<script src = "https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js">
</script>
<script src = "https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js">
</script>
<script src = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/js/bootstrap-colorpicker.js" > </script>
<script src = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/js/bootstrap-colorpicker.min.js" > </script>
<link rel = "stylesheet" href = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/css/bootstrap-colorpicker.min.css"/>
<link rel = "stylesheet" href = "https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/css/bootstrap-colorpicker.css"/>

<style>
	.alive {
		background-color: #081927;
	}
	.grid-container {
		display: grid;
        column-gap: 1px;
        row-gap: 1px;
		grid-template-columns: repeat(var(--grid-width), 20px);
		grid-template-rows: repeat(var(--grid-height), 20px);
		background-color: #092d4a;
		padding: 10px;
	}
    .square {
        height: 19px;
        width: 19px;
        background-color: #2b5d89;
        border: 1px solid #2b5d89;
    }
    .square > span {
        font-size: 4;
    }

    .highlighted {
        border-color: #060404;
        border-width: 4px;
    }
</style>
</head>
<body>
    <h2>Your collaborative canvas</h2>
    <div 
        th:replace="~{fragments/grid.html :: grid(${gridWidth}, ${gridHeight}, ${row}, ${column})}"
    ></div>
    <div th:switch="true">        
        <div th:case="${color != null && row != null && column != null}">
            <div 
                th:replace="~{fragments/colorpicker.html :: colorpicker(${color}, ${row}, ${column})}"
            ></div>
        </div>
        <div th:case="${color == null}">
            <a href="/pickcolor"><button>Pick color</button></a>
         </div>
    </div>
</body>
</html>